[arch-commits] Commit in xorg-fonts-misc/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 23 20:17:36 EDT 2009


    Date: Thursday, April 23, 2009 @ 20:17:36
  Author: eric
Revision: 36504

Merged revisions 356,36499 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xorg-fonts-misc/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36499 | eric | 2009-04-23 19:12:37 -0400 (Thu, 23 Apr 2009) | 2 lines
  
  upgpkg: xorg-fonts-misc 1.0.0-4
      Added license
........

Modified:
  xorg-fonts-misc/repos/extra-i686/	(properties)
  xorg-fonts-misc/repos/extra-i686/PKGBUILD
  xorg-fonts-misc/repos/extra-i686/xfonts.install

----------------+
 PKGBUILD       |   22 ++++++++++++----------
 xfonts.install |    5 -----
 2 files changed, 12 insertions(+), 15 deletions(-)


Property changes on: xorg-fonts-misc/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-fonts-misc/trunk:1
   + /xorg-fonts-misc/trunk:1-36503

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-23 23:27:23 UTC (rev 36503)
+++ extra-i686/PKGBUILD	2009-04-24 00:17:36 UTC (rev 36504)
@@ -3,10 +3,11 @@
 
 pkgname=xorg-fonts-misc
 pkgver=1.0.0
-pkgrel=3
+pkgrel=4
 pkgdesc="X.org misc fonts"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
 install=xfonts.install
 source=(${url}/releases/individual/font/font-arabic-misc-${pkgver}.tar.bz2
@@ -21,25 +22,26 @@
         ${url}/releases/individual/font/font-schumacher-misc-${pkgver}.tar.bz2
         ${url}/releases/individual/font/font-sony-misc-${pkgver}.tar.bz2
         ${url}/releases/individual/font/font-sun-misc-${pkgver}.tar.bz2)
+md5sums=('81595016e2ff859716fc256ebb136ba6' '305fa22cdfefb8f80babd711051a534b'\
+         '61f9eab48c619af5494d3e384d8d7d79' '284e554db1c64fb7580a06df01444a2b'\
+         'ec709a96b64b497a5cb5658c93bd38dc' '61febb49a71065723a1fba17cbf23c67'\
+         '8c8bffd7540f05caa0dbb4e6e1d6c58e' '2a57f6188c41d4bc1b88ca3d08ad011d'\
+         '648b409b7eb78ad1cd5f6d7fac3eef88' 'f1c6063d2fadc57e696a0aab69afd6e0'\
+         '0dfddd1a946e4497f009094c0ae1bdd5' 'e17d43a7c6c0d862cfba0908ff132ffa')
 
-md5sums=(81595016e2ff859716fc256ebb136ba6 305fa22cdfefb8f80babd711051a534b
-         61f9eab48c619af5494d3e384d8d7d79 284e554db1c64fb7580a06df01444a2b
-         ec709a96b64b497a5cb5658c93bd38dc 61febb49a71065723a1fba17cbf23c67
-         8c8bffd7540f05caa0dbb4e6e1d6c58e 2a57f6188c41d4bc1b88ca3d08ad011d
-         648b409b7eb78ad1cd5f6d7fac3eef88 f1c6063d2fadc57e696a0aab69afd6e0
-         0dfddd1a946e4497f009094c0ae1bdd5 e17d43a7c6c0d862cfba0908ff132ffa)
 
 build() {
-  cd ${startdir}/src
+  cd ${srcdir}
   for dir in font-*-misc-${pkgver}; do
     pushd ${dir}
       ./configure --prefix=/usr \
                   --with-mapfiles=/usr/share/fonts/util \
 		  --with-fontdir=/usr/share/fonts/misc
       make || return 1
-      make DESTDIR=${startdir}/pkg install || return 1
+      make DESTDIR=${pkgdir} install || return 1
+      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-*}
     popd
-    rm -f ${startdir}/pkg/usr/share/fonts/*/fonts.*
+    rm -f ${pkgdir}/usr/share/fonts/*/fonts.*
   done
 }
 

Modified: extra-i686/xfonts.install
===================================================================
--- extra-i686/xfonts.install	2009-04-23 23:27:23 UTC (rev 36503)
+++ extra-i686/xfonts.install	2009-04-24 00:17:36 UTC (rev 36504)
@@ -13,8 +13,3 @@
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list